using APT.BaseData.Domain.Entities;
using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace APT.MS.Domain.Entities.TL
{
    /// <summary>
    /// 制定要求
    /// </summary>
    [Description("制定要求")]
    public class T_TL_BACK_REQUIRE : MesEntityBase
    {
        /// <summary>
        /// 回采计划
        /// </summary>
        [Description("制定要求")]
        [DataFieldForeignKey("Nav_Back", "Nav_ListBackRequire")]
        public Guid BACK_ID { get; set; }

        /// <summary>
        /// 回采计划
        /// </summary>
        [Description("制定要求")]
        public virtual T_TL_BACK Nav_Back { get; set; }

        /// <summary>
        /// 制定要求
        /// </summary>
        [Description("制定要求")]
        [DataFieldForeignKey("Nav_Require")]
        public Guid REQUIRE_ID { get; set; }

        /// <summary>
        /// 制定要求
        /// </summary>
        [Description("制定要求")]
        public virtual T_TL_REQUIRE Nav_Require { get; set; }
    }
}
